> ## Documentation Index
> Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Inventory

> The Update Inventory API allows the user to bulk update the inventory for multiple items. Use this endpoint to update the available quantity and out-of-stock purchase settings for multiple items in th

The Update Inventory API allows the user to bulk update the inventory for multiple items. Use this endpoint to update the available quantity and out-of-stock purchase settings for multiple items in the inventory.

```http theme={null}
POST https://services.leadconnectorhq.com/products/inventory
```

## Autorización

<ParamField header="Authorization" type="string" required>
  Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication).
</ParamField>

<ParamField header="Version" type="string" required default="2021-07-28">
  Versión de la API.
</ParamField>

## Body

<ParamField body="altId" type="string" required default="6578278e879ad2646715ba9c">
  Account Id or Agency Id
</ParamField>

<ParamField body="altType" type="string" required>
  Posibles valores: 'account'
</ParamField>

<ParamField body="items" type="object[]" required>
  Array of items to update in the inventory.

  <Expandable title="cada item">
    <ParamField body="priceId" type="string" required default="5e9f8f8f8f8f8f8f8f8f8f8">
      The unique identifier for the price, in MongoDB ID format.
    </ParamField>

    <ParamField body="availableQuantity" type="number" default="10">
      The available quantity of the item.
    </ParamField>

    <ParamField body="allowOutOfStockPurchases" type="boolean" default="False">
      Whether to continue selling the item when out of stock.
    </ParamField>
  </Expandable>
</ParamField>

## Respuestas

<Accordion title="201 - Successful response">
  <ResponseField name="status" type="boolean" required default="True">
    Status of api action
  </ResponseField>

  <ResponseField name="message" type="string" default="Successfully created">
    Success message
  </ResponseField>

  ```json theme={null}
  {
    "status": true,
    "message": "Successfully created"
  }
  ```
</Accordion>

<Accordion title="400 - Bad Request">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="401 - Unauthorized">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="422 - Unprocessable Entity">
  ```json theme={null}
  {}
  ```
</Accordion>

## Ejemplo

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST 'https://services.leadconnectorhq.com/products/inventory' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Version: 2021-07-28' \
    -H 'Content-Type: application/json' \
    -d '{
    "altId": "6578278e879ad2646715ba9c",
    "altType": "account",
    "items": [
      {
        "priceId": "5e9f8f8f8f8f8f8f8f8f8f8",
        "availableQuantity": 10,
        "allowOutOfStockPurchases": false
      }
    ]
  }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://services.leadconnectorhq.com/products/inventory', {
    method: 'POST',
    headers: {
      Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
      Version: '2021-07-28',
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({"altId": "6578278e879ad2646715ba9c", "altType": "account", "items": [{"priceId": "5e9f8f8f8f8f8f8f8f8f8f8", "availableQuantity": 10, "allowOutOfStockPurchases": false}]}),
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response = requests.request(
      'POST',
      'https://services.leadconnectorhq.com/products/inventory',
      headers={
          'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
          'Version': '2021-07-28',
          'Content-Type': 'application/json',
      },
      json={"altId": "6578278e879ad2646715ba9c", "altType": "account", "items": [{"priceId": "5e9f8f8f8f8f8f8f8f8f8f8", "availableQuantity": 10, "allowOutOfStockPurchases": false}]},
  )
  data = response.json()
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://services.leadconnectorhq.com/products/inventory');
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'POST',
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
          'Version: 2021-07-28',
          'Content-Type: application/json',
      ],
      CURLOPT_POSTFIELDS => json_encode({'altId': '6578278e879ad2646715ba9c', 'altType': 'account', 'items': [{'priceId': '5e9f8f8f8f8f8f8f8f8f8f8', 'availableQuantity': 10, 'allowOutOfStockPurchases': false}]}),
  ]);
  $data = json_decode(curl_exec($ch), true);
  ```
</CodeGroup>
